use std::str::FromStr;

fn main() {
    let mut input = String::new();
    println!("1個目の数値を入力してください。");
    std::io::stdin().read_line(&mut input).unwrap();
    let num1 = i32::from_str(input.trim()).unwrap();

    input.clear();
    println!("2個目の数値を入力してください。");
    std::io::stdin().read_line(&mut input).unwrap();
    let num2 = i32::from_str(input.trim()).unwrap();

    let sum = num1 + num2;
    println!("和: {sum}");
    let diff = num1 - num2;
    println!("差: {diff}");
    let prod = num1 * num2;
    println!("積: {prod}");
    let quot = num1 / num2;
    println!("商: {quot}");
}